    import IndexedApi from 'f.lux/src/IndexedApi.js'

public class | source

# IndexedApi

Aggregation api for properties providing indexed or array-like access to child properties.

#### See:

- ArrayProperty
- IndexedProperty

## Constructor Summary

Public Constructor
public | constructor(property: *) |

## Member Summary

Public Members
public get | length: * |

## Method Summary

Public Methods
public | clear() |
public | concat(values: ...*): * |
public | impl(): * |
public | isActive(): * |
public | pop(): * |
public | push(values: ...*): * |
public | remove(idx: *): * |
public | shadow(): * |
public | shift(): * |
public | splice(start: *, deleteCount: *, newItems: ...*): * |
public | unshift(values: ...*): * |

## Public Constructors

### public constructor(property: *) source

#### Params:

Name | Type | Attribute | Description
property | * |  |

## Public Members

### public get length: * source

## Public Methods

### public clear() source

### public concat(values: ...*): * source

#### Params:

Name | Type | Attribute | Description
values | ...* |  |

#### Return:

*

### public impl(): * source

#### Return:

*

### public isActive(): * source

#### Return:

*

### public pop(): * source

#### Return:

*

### public push(values: ...*): * source

#### Params:

Name | Type | Attribute | Description
values | ...* |  |

#### Return:

*

### public remove(idx: *): * source

#### Params:

Name | Type | Attribute | Description
idx | * |  |

#### Return:

*

### public shadow(): * source

#### Return:

*

### public shift(): * source

#### Return:

*

### public splice(start: *, deleteCount: *, newItems: ...*): * source

#### Params:

Name | Type | Attribute | Description
start | * |  |
deleteCount | * |  |
newItems | ...* |  |

#### Return:

*

### public unshift(values: ...*): * source

#### Params:

Name | Type | Attribute | Description
values | ...* |  |

#### Return:

*